public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/dunst/
Date: Sun,  5 Dec 2021 21:45:54 +0000 (UTC)	[thread overview]
Message-ID: <1638740706.89ebbae57a2fba815be98d30caabc598c6966e38.conikost@gentoo> (raw)

commit:     89ebbae57a2fba815be98d30caabc598c6966e38
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  5 19:52:03 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Dec  5 21:45:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89ebbae5

x11-misc/dunst: add 1.7.2

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 x11-misc/dunst/Manifest           |  1 +
 x11-misc/dunst/dunst-1.7.2.ebuild | 78 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/x11-misc/dunst/Manifest b/x11-misc/dunst/Manifest
index c17bfc8f0b6a..2c8f865f3938 100644
--- a/x11-misc/dunst/Manifest
+++ b/x11-misc/dunst/Manifest
@@ -1,2 +1,3 @@
 DIST dunst-1.6.1.tar.gz 217267 BLAKE2B 267e5be6a079097fb5a677bd2451b0e5bcbcddadf4c4de9af87d4eab7dd90b61908f140db3f1238b6a79d370fc3bb89c062c6b4deeefae6c9c0069b55017e907 SHA512 079ffd0ff75f1865b68cb8db261849cbe4f68b5c632c39ef8f7a3d193ff3eba3734bca31cb7268f27c9a411aec56e4c484c383b419bc0b4755b7d80ede84cd96
 DIST dunst-1.7.1.tar.gz 4585838 BLAKE2B 3bc11b4d5e6826ca03b70aa4a2cca38e2d54170cf53e8912d55129ce23eb3bacf618f8242a6be5ddcb35d7d26d6e327b9210492af2898041eae7cdec9acd9f16 SHA512 5e3e0af3cff79b371e38ddf836b53ae65e2ff32d709f7bf29c29445071e98c786d430105aa61b5a80f9c709daa07f02389f141edfd4a3dcfa53b2c667782c9a9
+DIST dunst-1.7.2.tar.gz 4595479 BLAKE2B b2e6c5a47ebc658160619c1fdfa2b4bf749a510d02f0552be842e24e8eff158e509dffc7df6b8e656545f4eaa7adb852b8e4d0d7d8a0a48435f734a1ee20cfc8 SHA512 1fc5837da2ff343d9badf2af2f91e32d79b91d3376b6cbe53ed9d73a248dc6dd7752a19523743b464121af329c81e69b02b03e3c5e0daa9e20afe6eb901f65dc

diff --git a/x11-misc/dunst/dunst-1.7.2.ebuild b/x11-misc/dunst/dunst-1.7.2.ebuild
new file mode 100644
index 000000000000..8eaab62529e9
--- /dev/null
+++ b/x11-misc/dunst/dunst-1.7.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd toolchain-funcs
+
+DESCRIPTION="Lightweight replacement for common notification daemons"
+HOMEPAGE="https://dunst-project.org/ https://github.com/dunst-project/dunst"
+SRC_URI="https://github.com/dunst-project/dunst/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="wayland"
+
+DEPEND="
+	dev-libs/glib:2
+	sys-apps/dbus
+	x11-libs/cairo[X,glib]
+	x11-libs/gdk-pixbuf:2
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXScrnSaver
+	x11-libs/libXinerama
+	x11-libs/libXrandr
+	x11-libs/libnotify
+	x11-libs/pango[X]
+	x11-misc/xdg-utils
+	wayland? ( dev-libs/wayland )
+"
+
+RDEPEND="${DEPEND}"
+
+BDEPEND="
+	dev-lang/perl
+	virtual/pkgconfig
+	wayland? ( dev-libs/wayland-protocols )
+"
+
+src_prepare() {
+	default
+
+	# Respect users CFLAGS
+	sed -e 's/-Os//' -i config.mk || die
+
+	# Use correct path for dbus and system unit
+	sed -e "s|##PREFIX##|${EPREFIX}/usr|" -i dunst.systemd.service.in || die
+	sed -e "s|##PREFIX##|${EPREFIX}/usr|" -i org.knopwob.dunst.service.in || die
+}
+
+src_configure() {
+	tc-export CC PKG_CONFIG
+
+	default
+}
+
+src_compile() {
+	local myemakeargs=(
+		SYSTEMD="0"
+		WAYLAND="$(usex wayland 1 0)"
+	)
+
+	emake "${myemakeargs[@]}"
+}
+
+src_install() {
+	local myemakeargs=(
+		PREFIX="${ED}/usr"
+		SYSCONFDIR="${ED}/etc"
+		SYSTEMD="0"
+		WAYLAND="$(usex wayland 1 0)"
+	)
+
+	emake "${myemakeargs[@]}" install
+
+	systemd_newuserunit dunst.systemd.service.in dunst.service
+}


             reply	other threads:[~2021-12-05 21:45 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-05 21:45 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-17 20:45 [gentoo-commits] repo/gentoo:master commit in: x11-misc/dunst/ Conrad Kostecki
2024-04-17 14:13 Conrad Kostecki
2024-04-17 11:39 Conrad Kostecki
2024-04-17 11:39 Conrad Kostecki
2024-04-17 11:39 Conrad Kostecki
2024-03-09 13:57 Conrad Kostecki
2024-03-09 13:57 Conrad Kostecki
2023-05-22 21:35 Conrad Kostecki
2023-05-22 21:35 Conrad Kostecki
2023-04-22  0:11 Conrad Kostecki
2023-04-18 20:38 Conrad Kostecki
2023-04-18 20:38 Conrad Kostecki
2023-04-18 20:38 Conrad Kostecki
2023-03-12 19:00 Conrad Kostecki
2023-03-12 19:00 Conrad Kostecki
2022-07-29 19:06 Conrad Kostecki
2022-07-29 19:06 Conrad Kostecki
2022-07-29 19:06 Conrad Kostecki
2022-06-28 20:21 Conrad Kostecki
2022-04-01 22:55 Conrad Kostecki
2022-04-01 22:55 Conrad Kostecki
2022-04-01 22:55 Conrad Kostecki
2022-03-02 20:29 Conrad Kostecki
2022-03-02 20:29 Conrad Kostecki
2022-02-28  0:03 Conrad Kostecki
2022-02-25 11:34 Conrad Kostecki
2022-01-20 22:58 Conrad Kostecki
2022-01-20 22:58 Conrad Kostecki
2021-12-11  0:08 Conrad Kostecki
2021-12-11  0:08 Conrad Kostecki
2021-12-05 21:45 Conrad Kostecki
2021-11-24 22:31 Conrad Kostecki
2021-11-24  8:05 Arthur Zamarin
2021-11-22 18:50 Arthur Zamarin
2021-11-22 18:50 Arthur Zamarin
2021-11-22  5:57 Yixun Lan
2021-11-21 14:41 Conrad Kostecki
2021-11-21 14:41 Conrad Kostecki
2021-11-21 14:41 Conrad Kostecki
2021-11-21 14:41 Conrad Kostecki
2021-07-16  9:51 Joonas Niilola
2021-07-16  9:51 Joonas Niilola
2021-05-14  0:38 Sam James
2021-05-14  0:38 Sam James
2021-04-29 11:43 Joonas Niilola
2021-04-29 11:43 Joonas Niilola
2021-04-29 11:43 Joonas Niilola
2021-03-04 17:42 Joonas Niilola
2020-09-05 10:49 Jeroen Roovers
2020-09-04  8:12 Jeroen Roovers
2020-01-23 10:25 Jeroen Roovers
2020-01-23 10:25 Jeroen Roovers
2020-01-23 10:25 Jeroen Roovers
2019-10-28 10:41 Jeroen Roovers
2019-10-07  3:51 Jeroen Roovers
2018-07-09 16:21 Johannes Huber
2018-07-09 15:14 Mikle Kolyada
2018-06-26 12:30 Johannes Huber
2018-05-23 18:38 Johannes Huber
2018-05-23 18:38 Johannes Huber
2018-05-23 18:38 Johannes Huber
2018-05-23 18:38 Johannes Huber
2017-09-09 12:32 Jeroen Roovers
2017-09-09 12:30 Jeroen Roovers
2017-08-24 20:36 Jeroen Roovers
2017-07-26 20:01 Markus Meier
2017-07-25  4:46 Jeroen Roovers
2017-07-25  4:46 Jeroen Roovers
2016-09-24 10:30 Jeroen Roovers
2016-08-07  6:52 Pacho Ramos
2016-06-06 13:33 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1638740706.89ebbae57a2fba815be98d30caabc598c6966e38.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox